Skip to content
Pages in Reference

Single sign-on

Reference Updated View as Markdown
Method Path What it does Permission Sudo Approval
GET /api/auth/ldap/directories List Directories accounts.read
PUT /api/auth/ldap/directories/{name} Put Directory accounts.manage yes
DELETE /api/auth/ldap/directories/{name} Delete Directory accounts.manage yes
POST /api/auth/ldap/directories/{name}/test Test Directory accounts.manage
POST /api/auth/ldap/login Login public
GET /api/auth/oidc/callback Callback public
POST /api/auth/oidc/complete Complete public
GET /api/auth/oidc/config List Providers accounts.read
PUT /api/auth/oidc/config/{provider} Put Provider accounts.manage yes
DELETE /api/auth/oidc/config/{provider} Delete Provider accounts.manage yes
POST /api/auth/oidc/config/{provider}/test Try Provider accounts.manage
GET /api/auth/oidc/identities List Identities accounts.read
POST /api/auth/oidc/identities Link Identity accounts.manage yes
DELETE /api/auth/oidc/identities/{identity_id} Unlink Identity accounts.manage yes
GET /api/auth/oidc/local-login Get Local Login accounts.read
PUT /api/auth/oidc/local-login Put Local Login accounts.manage yes
GET /api/auth/oidc/providers List Choices public
GET /api/auth/oidc/start Start public
POST /api/auth/saml/acs Assertion Consumer Service public
GET /api/auth/saml/config List Providers accounts.read
PUT /api/auth/saml/config/{provider} Put Provider accounts.manage yes
DELETE /api/auth/saml/config/{provider} Delete Provider accounts.manage yes
POST /api/auth/saml/config/{provider}/test Try Provider accounts.manage
GET /api/auth/saml/metadata/{provider} Metadata public
GET /api/auth/saml/start Start public
GET /api/auth/scim/sources List Sources accounts.read
PUT /api/auth/scim/sources/{name} Put Source accounts.manage yes
DELETE /api/auth/scim/sources/{name} Delete Source accounts.manage yes
GET /api/auth/scim/sources/{name}/users List Users accounts.read

Something on this page is wrong or unclear? Report it on GitHub.

Help, contributing and the project’s policies are under Project.

Search the documentation

Type to search every page.

↑ ↓ to move, Enter to open, Esc to close